List messages

GET
/v1/conversations/{conversationId}/messages

Get all messages for a particular conversation by providing the conversation id. Note that messages in ContactForm conversations can have attributes of "_type": "EmailAttributes" if they are created through a webform, or "_type": "ContactFormAttributes" when created through a chat widget.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

conversationId*integer
Formatint64

Response Body

List of messages for a conversation sorted from oldest to newest

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/v1/conversations/{conversationId}/messages' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "11b95893-0514-4606-a5d8-1880172b3a55",
"authorId": "41646d42-edc0-493e-ac7b-814d9ff40a2e",
"externalId": "13244",
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"attributes": {
"emailContent": {
"content": {
"value": "Hello, this is a regular email content",
"_type": "Text"
},
"_type": "Regular"
},
"from": {
"email": "some-help@email.dixa.io",
"name": "Help"
},
"to": [
{
"email": "someone@somecompany.com",
"name": "Some One"
}
],
"cc": [],
"bcc": [],
"isAutoReply": false,
"inlineImages": [
{
"url": "https://files.dixa.io/public/something/attachment/inline-image-1",
"prettyName": "image001.png"
}
],
"attachments": [
{
"url": "https://files.dixa.io/private/something/attachment/attachment-1",
"prettyName": "Picture"
}
],
"direction": "Outbound",
"originalContentUrl": {
"url": "https://files.dixa.io/private/something/email_original_data/a1b2c3d4"
},
"_type": "EmailAttributes"
}
},
{
"id": "12c95893-0514-4606-a5d8-1880172b3a56",
"authorId": "41646d42-edc0-493e-ac7b-814d9ff40a2e",
"externalId": "13245",
"createdAt": "2021-12-01T12:47:36.581Z[GMT]",
"attributes": {
"emailContent": {
"file": {
"url": "https://files.dixa.io/private/something/email_stripped_content/large-email-content",
"prettyName": "Large Email Content"
},
"_type": "TooLarge"
},
"from": {
"email": "some-help@email.dixa.io",
"name": "Help"
},
"to": [
{
"email": "someone@somecompany.com",
"name": "Some One"
}
],
"cc": [
{
"email": "manager@somecompany.com",
"name": "Manager"
}
],
"bcc": [
{
"email": "archive@somecompany.com"
}
],
"isAutoReply": false,
"inlineImages": [],
"attachments": [
{
"url": "https://files.dixa.io/private/something/attachment/attachment-2",
"prettyName": "Large Document"
},
{
"url": "https://files.dixa.io/private/something/attachment/attachment-3",
"prettyName": "Spreadsheet"
}
],
"direction": "Inbound",
"originalContentUrl": {
"url": "https://files.dixa.io/private/something/email_original_data/b2c3d4e5"
},
"_type": "EmailAttributes"
}
}
]
}